This documentation references Amazon ParallelCluster. For running HPC and AI workloads, we recommend Amazon Parallel Computing Service (Amazon PCS)
getImageStackEvents
Retrieve the events that are associated with the stack for an image build.
Request syntax
GET /v3/images/custom/{imageId}/stackevents { "nextToken": "string", "region": "string" }
Request body
- imageId
-
The ID of the image.
Type: string
Required: Yes
- nextToken
-
The token for the next set of results.
Type: string
Required: No
- region
-
The Amazon Web Services Region that the image is in.
Type: string
Required: No
Response syntax
{ "nextToken": "string", "events": [ { "stackId": "string", "eventId": "string", "stackName": "string", "logicalResourceId": "string", "physicalResourceId": "string", "resourceType": "string", "timestamp": "2019-08-24T14:15:22Z", "resourceStatus": "CREATE_IN_PROGRESS", "resourceStatusReason": "string", "resourceProperties": "string", "clientRequestToken": "string" } ] }
Response body
- events
-
A list of filtered events.
- clientRequestToken
-
The token passed to the action that generated this event.
Type: string
- eventId
-
The unique ID of this event.
Type: string
- logicalResourceId
-
The logical name of the resource specified in the template.
Type: string
- physicalResourceId
-
The name or unique identifier that's associated with the physical instance of the resource.
Type: string
- resourceProperties
-
A BLOB of the properties that are used to create the resource.
Type: string
- resourceStatus
-
The resource status.
Type: string
Valid values:
CREATE_IN_PROGRESS | CREATE_FAILED | CREATE_COMPLETE | DELETE_IN_PROGRESS | DELETE_FAILED | DELETE_COMPLETE | DELETE_SKIPPED | UPDATE_IN_PROGRESS | UPDATE_FAILED | UPDATE_COMPLETE | IMPORT_FAILED | IMPORT_COMPLETE | IMPORT_IN_PROGRESS | IMPORT_ROLLBACK_IN_PROGRESS | IMPORT_ROLLBACK_FAILED | IMPORT_ROLLBACK_COMPLETE - resourceStatusReason
-
A success or failure message that's associated with the resource.
Type: string
- resourceType
-
The type of resource.
Type: string
- stackId
-
The unique ID name of the instance of the stack.
Type: string
- stackName
-
The name that's associated with a stack.
Type: string
- timestamp
-
The time when the status was updated.
Type: datetime
- nextToken
-
A token that can be used to retrieve the next set of results, or
nullif there are no additional results.Type: string